Raised This Month: $104 Target: $400
 26% 

Release Sourcemod Store (Includes Download)


Post New Thread Reply   
 
Thread Tools Display Modes
LittleShiT
Member
Join Date: Jan 2015
Old 03-01-2015 , 11:11   Re: Store Beta [1.2-beta fork3] [Sourcemod 1.7]
Reply With Quote #31

I still cant open !store menu, just !gift

I've installed JSON and all the DB shit.
Any help?
LittleShiT is offline
Drixevel
AlliedModders Donor
Join Date: Sep 2009
Location: Somewhere headbangin'
Old 03-02-2015 , 00:30   Re: Store Beta [1.2-beta fork3] [Sourcemod 1.7]
Reply With Quote #32

UPDATE... (in a few days):
  1. Going to remove the logging module from the forked version because It doesn't seem to be working as intended. It might be fixable but I'd rather just make 1 native in the main plugin for others to use and do the logging with that.
  2. Adding detailed logging to the plugin set in terms of errors, information, etc.
  3. Adding automatic detection of database entries and a detection if the web panel is accessible or not.
  4. Adding more translation support.
  5. Fixing tons of minor bugs & tweaking some stuff.

After this update, the plugin should tell you in detail about what's going on. You will still have to refer to the FAQs for answers sometimes but this should make it easier for people to get the Store running much faster without bothering any of the developers as much because I literally get 6-10 questions an hour. lol
__________________
My [Dev] Website | Discord: Drixevel#5049
Drixevel is offline
braak0327
AlliedModders Donor
Join Date: Dec 2012
Location: NORT....SOUTH KOREA
Old 03-02-2015 , 00:37   Re: Store Beta [1.2-beta fork3] [Sourcemod 1.7]
Reply With Quote #33

Quote:
//// store-backend.sp
//
// C:\Users\Administrator\Desktop\새 폴더\addons\sourcemod\scripting\store-backend.sp(260) : warning 237: coercing functions to and from primitives is unsupported and will be removed in the future
// C:\Users\Administrator\Desktop\새 폴더\addons\sourcemod\scripting\store-backend.sp(379) : warning 237: coercing functions to and from primitives is unsupported and will be removed in the future
// C:\Users\Administrator\Desktop\새 폴더\addons\sourcemod\scripting\store-backend.sp(569) : warning 237: coercing functions to and from primitives is unsupported and will be removed in the future
// C:\Users\Administrator\Desktop\새 폴더\addons\sourcemod\scripting\store-backend.sp(627) : warning 237: coercing functions to and from primitives is unsupported and will be removed in the future
// C:\Users\Administrator\Desktop\새 폴더\addons\sourcemod\scripting\store-backend.sp(676) : warning 237: coercing functions to and from primitives is unsupported and will be removed in the future
// C:\Users\Administrator\Desktop\새 폴더\addons\sourcemod\scripting\store-backend.sp(1466) : warning 237: coercing functions to and from primitives is unsupported and will be removed in the future
// C:\Users\Administrator\Desktop\새 폴더\addons\sourcemod\scripting\store-backend.sp(1537) : warning 237: coercing functions to and from primitives is unsupported and will be removed in the future
// Code size: 57652 bytes
// Data size: 1271668 bytes
// Stack/heap size: 16384 bytes
// Total requirements: 1345704 bytes
//
// 7 Warnings.

//// store-inventory.sp
//
// C:\Users\Administrator\Desktop\새 폴더\addons\sourcemod\scripting\store-inventory.sp(570) : warning 237: coercing functions to and from primitives is unsupported and will be removed in the future
// Code size: 32840 bytes
// Data size: 8668 bytes
// Stack/heap size: 16384 bytes
// Total requirements: 57892 bytes
//
// 1 Warning.
//
// Compilation Time: 0.3 sec
more qusetion!
__________________
I'M KIMCHI

Last edited by braak0327; 03-02-2015 at 00:38.
braak0327 is offline
Send a message via Skype™ to braak0327
Drixevel
AlliedModders Donor
Join Date: Sep 2009
Location: Somewhere headbangin'
Old 03-02-2015 , 02:05   Re: Store Beta [1.2-beta fork3] [Sourcemod 1.7]
Reply With Quote #34

Quote:
Originally Posted by braak0327 View Post
more qusetion!
I'm unaware of how to fix that issue, you would have to talk to KitRifty (hope that's the name) on Github or here since they know more about 1.7 than I do at the moment.
__________________
My [Dev] Website | Discord: Drixevel#5049
Drixevel is offline
Drixevel
AlliedModders Donor
Join Date: Sep 2009
Location: Somewhere headbangin'
Old 03-04-2015 , 04:56   Re: Store Beta [1.2-beta fork3] [Sourcemod 1.7]
Reply With Quote #35

Plugin set has been updated to 1.2.1.

https://github.com/Drixevel/store

Generally, the whole logging module has been rebuilt and should now be functioning fully. I added a bit of verbose to other plugins but It's mostly logging changes.

The plugin should tell people now what the problem is by being verbal so keep an eye on logs.
__________________
My [Dev] Website | Discord: Drixevel#5049
Drixevel is offline
NeoxX
Member
Join Date: Jan 2014
Location: Germany
Old 03-04-2015 , 08:29   Re: Store Beta [1.2.1] [Sourcemod 1.7]
Reply With Quote #36

Quote:
[SM] Plugin encountered error 4: Invalid parameter or parameter type
[SM] Native "VFormat" reported: Language phrase "Already purchased item" not found
[SM] Displaying call stack trace for plugin "store-shop.smx":
[SM] [0] Line 44, D:\SourcePawn\store\scripting\include\multico lors.inc::CPrintToChat()
[SM] [1] Line 388, D:\SourcePawn\store\scripting\store-shop.sp:: DoBuyItem_ItemCountCallBack()
[SM] Native "GetSteamAccountID" reported: Client index 0 is invalid
[SM] Displaying call stack trace for plugin "store-gifting.smx":
[SM] [0] Line 905, D:\SourcePawn\store\scripting\store-gifting.sp::RemoveUserItemCallback()
Can you fix that?

Last edited by NeoxX; 03-04-2015 at 08:49.
NeoxX is offline
Drixevel
AlliedModders Donor
Join Date: Sep 2009
Location: Somewhere headbangin'
Old 03-04-2015 , 08:57   Re: Store Beta [1.2.1] [Sourcemod 1.7]
Reply With Quote #37

Quote:
Originally Posted by NeoxX View Post
Can you fix that?
https://github.com/Drixevel/store/bl...e-shop.sp#L388
https://github.com/Drixevel/store/bl...rases.txt#L277
__________________
My [Dev] Website | Discord: Drixevel#5049
Drixevel is offline
NeoxX
Member
Join Date: Jan 2014
Location: Germany
Old 03-04-2015 , 09:21   Re: Store Beta [1.2.1] [Sourcemod 1.7]
Reply With Quote #38

I have used a old store.phrases ^^

Quote:
L 03/04/2015 - 21:17:46: [SM] Native "GetSteamAccountID" reported: Client index 0 is invalid
L 03/04/2015 - 21:17:46: [SM] Displaying call stack trace for plugin "store-gifting.smx":
L 03/04/2015 - 21:17:46: [SM] [0] Line 866, D:\SourcePawn\store\scripting\store-gifting.sp::TakeCreditsCallback()
Can you fix that?

Last edited by NeoxX; 03-04-2015 at 16:24.
NeoxX is offline
Robin955
Veteran Member
Join Date: Jun 2013
Old 03-09-2015 , 23:24   Re: Store Beta [1.2.1] [Sourcemod 1.7]
Reply With Quote #39

works fine on SM 1.6 aswell?

i take that as a no, just swapping the alongub ones from the download link and i get this ^
Spoiler

Last edited by Robin955; 03-10-2015 at 16:55.
Robin955 is offline
Acedia
Junior Member
Join Date: May 2014
Old 03-10-2015 , 11:28   Re: Store Beta [1.2.1] [Sourcemod 1.7]
Reply With Quote #40

Does anyone know how to close the store plugin on specific maps? I tried unload store at map cfg but it didnt work. I'm getting model overflow in some maps.
Thanks.
Acedia is offline
Reply


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -4. The time now is 21:43.


Powered by vBulletin®
Copyright ©2000 - 2019, vBulletin Solutions, Inc.
Theme made by Freecode